package com.mh.user.controller;

import com.mh.user.constants.Constant;
import com.mh.user.dynamic.datasource.DataSourceContextHolder;
import com.mh.user.dynamic.datasource.DataSourceObject;
import com.mh.user.entity.DBEntity;
import com.mh.user.manage.QuartzManager;
import com.mh.user.mapper.NowDataMapper;
import com.mh.user.service.NowDataService;
import com.mh.user.service.SysUserService;
import com.mh.user.utils.AESUtil;
import com.mh.user.utils.AnalysisReceiveOrder485;
import com.mh.user.utils.GetReadOrder485;
import com.mh.user.utils.TimedTask2;
import org.quartz.SchedulerException;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.security.authentication.AuthenticationManager;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;

@RestController
public class TestController {

    @Autowired
    private SysUserService sysUserService;

    @Autowired
    NowDataService nowDataService;

    @Resource
    QuartzManager quartzManager;

    @RequestMapping("/hello")
    public String HelloWord() throws SchedulerException, InterruptedException {
        // 停止JobTest
        quartzManager.pauseAllJob();
        Constant.FLAG = true;
        Thread.sleep(2000);
        // 开始JobTest
//        quartzManager.resumeAllJob();
        Constant.FLAG = false;
        return "user hello word.";
    }

    @RequestMapping("/startHello")
    public String startHelloWord() throws SchedulerException, InterruptedException {
        // 停止JobTest
//        quartzManager.pauseAllJob();
//        Constant.FLAG = true;
//        Thread.sleep(2000);
        // 开始JobTest
//        quartzManager.resumeAllJob();
//        Thread.sleep(2000);
//        Constant.FLAG = false;
        return "user hello word.";
    }

    @GetMapping("/testQuery")
    public void testQuery(){
//        try{
//            DBEntity dbEntity = sysUserService.queryDBInfo("admin");
//            dbEntity.setDB_Pwd(AESUtil.AESdecrypt(dbEntity.getDB_Pwd()));
//            DataSourceObject dataSourceObject = new DataSourceObject();
//            String SourceName = "sqlServer-"+dbEntity.getDB_Names();
//            dataSourceObject.SwitchSQLServerDataSource(dbEntity,SourceName);
//            DataSourceContextHolder.setDBType(SourceName);
//        }catch (Exception e){
//           e.printStackTrace();
//        }

        AnalysisReceiveOrder485 analysis=new AnalysisReceiveOrder485();
        GetReadOrder485 getReadOrder485=new GetReadOrder485();
//        analysis.analysisWtMeterOrder485("5103040003141D953F","","","48");
        //analysis.analysisPumpOrder485("05030200004984","0BBD","美的2","80");
//        analysis.analysisMeterOrder485("6824095005000068810643C36B7A67335E16","","","63");
//        analysis.analysisRelayOrder485("12031000000001000000000000000000000000665F","0010","远向","34");
//          analysis.analysisMulTempOrder4852("010310013601290192018F0180F800F800F800AC21","","","1");
//        analysis.analysisPressureOrder485("150304400F1ABE00E1","","","22");
//        analysis.analysisStateOrder485("6874100000000068810358F3395C16","","","41");
//        analysis.analysisTempOrder485("020304013000010900","","","23");
        nowDataService.saveNowHistoryData("3","热泵","运行","runState","62");
//        nowDataService.updateRunState("70","2","离线");


    }

}
